Search the Community
Showing results for tags 'wiring'.
-
Hi guys, Im new here and i've been searching and even asking chatgpt to help me out but it doesnt seem to work properly. Im working on a SLD (Single Line Diagram) for an electrical project and when wires cross on the diagram, it needs to have a gap on one of the 2 lines. I've tried this lisp command that ChatGPT gave me but with little to no success; (defun c:BreakAndShorten ( / pt line break_length startpt1 endpt1 startpt2 endpt2) (setq break_length 2.5) ; Set your desired shorten length here (2.5 mm in this case) (setq line (car (entsel "\nSelect the line to break: "))) (setq pt (getpoint "\nSelect the break point: ")) (if (and line pt) (progn (setq startpt1 (polar pt (angle pt (vlax-curve-getStartPoint line)) (- break_length))) (setq endpt1 pt) (setq startpt2 pt) (setq endpt2 (polar pt (angle pt (vlax-curve-getEndPoint line)) break_length)) (command "BREAK" line startpt1 endpt2) (setq line1 (car (entsel "\nSelect the first segment to shorten: "))) (setq line2 (car (entsel "\nSelect the second segment to shorten: "))) (if line1 (command "LENGTHEN" "DE" (- break_length) line1)) (if line2 (command "LENGTHEN" "DE" (- break_length) line2)) ) (alert "You must select a line and a break point.") ) (princ) ) In sum, I want to break one line at a point and then shorten the 2 segments by 2.5mm so it has a 5mm gap without using multiple command everytime
-
Electrical Wiring Diagram
naruto2021 posted a topic in AutoCAD 2D Drafting, Object Properties & Interface
I need to make an Electrical Wiring Diagram of an Induction Furnace. But i'm new in autocad, and i'm not really sure it can be done easily with autocad. All help is welcome. I'm working making in the maintance of this equipment on my university. Here is my mail: naruto2021@gmail.com https://www.dropbox.com/s/wa1sollj2u91zeb/P1020563.JPG https://www.dropbox.com/s/chq02guawmjl2pk/P1020564.JPG https://www.dropbox.com/s/hiz1wc3fyauw9h7/P1020565.JPG https://www.dropbox.com/s/blckc6adkle8wcp/P1020566.JPG https://www.dropbox.com/s/5yospmtv17vw2vr/P1020567.JPG -
Hey guys! I have always come here for answers to my Lisping needs, but now I need to request some help with a Lisp I have been working on for a few days. I created this program that allows you to draw electrical circuits with choices of exposed/concealed conduit, homerun/full run, number/type of wires in circuit, etc. I have the input, wiring and block creation down, but now I just need to figure out how to insert and align the symbols for the different wires along anything curved. The closest program I can find to what I need is LeeMac's Object Align routine, however, it only allows you to select objects as a whole and align the whole to the line, not the individual objects aligned to the curve like you see on electrical wiring plans. I love the preview stuff of LeeMac's program, just need a version where the individual objects are aligned separately as shown in the below images. Lee's: What I need it to look like: LeeMac, is there perhaps a way you could incorporate this into your code as an option to align objects individually at their insertion points? Right now, my code prompts for a point to draw all of the symbols used and the number of them in a straight line. I could then use this updated program to select those symbols and align them to whatever curve I needed too The absolute best way would be to adjust my original code so that after you draw your circuit lines, it shows a live dynamic preview of all the symbols used aligned at their basepoints along the line you want to put them on. But maybe that would be for another day... Unless LeeMac, you would like to check out my code and tweak as needed... ****EDIT**** I figure I might as well go ahead and post up what I have so far. It is working pretty good, except that the first time I choose how many of each to use, it doesn't space the blocks correctly, but then it will afterward. Perhaps people can see what direction I am taking this and offer ideas or improvements to the code to make it work better? MEP Design.zip